Type to search.

Delete an index template

  • DELETE /_index_template/{name}
Auth

The provided

Required privileges

Cluster privileges manage_index_templates

Path parameters

name union string | string[] required

Comma-separated list of index template names used to limit the request. Wildcard (*) expressions are supported.

Query parameters

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.